<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:55:58 BRT 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;eu.systemsengineer.fjcapeletto.display</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="eu.systemsengineer.fjcapeletto.display.PanelBrokerIP">
<!--   -->
</a>
<h3>Class <a href="eu/systemsengineer/fjcapeletto/display/PanelBrokerIP.html" title="class in eu.systemsengineer.fjcapeletto.display">eu.systemsengineer.fjcapeletto.display.PanelBrokerIP</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>buttonEnterIP</h5>
<pre>javax.swing.JButton buttonEnterIP</pre>
</li>
<li class="blockList">
<h5>fieldIP</h5>
<pre>javax.swing.JTextField fieldIP</pre>
</li>
<li class="blockList">
<h5>frameBrokerIP</h5>
<pre>javax.swing.JFrame frameBrokerIP</pre>
</li>
<li class="blockList">
<h5>labelIP</h5>
<pre>javax.swing.JLabel labelIP</pre>
</li>
<li class="blockList">
<h5>LOGGER</h5>
<pre>org.slf4j.Logger LOGGER</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="eu.systemsengineer.fjcapeletto.display.TOSDisplay">
<!--   -->
</a>
<h3>Class <a href="eu/systemsengineer/fjcapeletto/display/TOSDisplay.html" title="class in eu.systemsengineer.fjcapeletto.display">eu.systemsengineer.fjcapeletto.display.TOSDisplay</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>briefInstruction</h5>
<pre>javax.swing.JLabel briefInstruction</pre>
</li>
<li class="blockList">
<h5>buttonCarLaunch</h5>
<pre>javax.swing.JButton buttonCarLaunch</pre>
</li>
<li class="blockList">
<h5>buttonCarMap</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JToggleButton&gt; buttonCarMap</pre>
</li>
<li class="blockList">
<h5>carIcons</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;java.awt.image.BufferedImage&gt; carIcons</pre>
</li>
<li class="blockList">
<h5>carLimitReached</h5>
<pre>javax.swing.JLabel carLimitReached</pre>
</li>
<li class="blockList">
<h5>cslider</h5>
<pre><a href="eu/systemsengineer/fjcapeletto/display/JKnob.html" title="class in eu.systemsengineer.fjcapeletto.display">JKnob</a> cslider</pre>
</li>
<li class="blockList">
<h5>csliderValue</h5>
<pre>javax.swing.JLabel csliderValue</pre>
</li>
<li class="blockList">
<h5>labelCarMap</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;javax.swing.JLabel&gt; labelCarMap</pre>
</li>
<li class="blockList">
<h5>launchedCarsMapFromController</h5>
<pre>java.util.Map&lt;java.lang.Integer,&#8203;eu.systemsengineer.fjcapeletto.model.Car&gt; launchedCarsMapFromController</pre>
</li>
<li class="blockList">
<h5>serverPresence</h5>
<pre>javax.swing.JLabel serverPresence</pre>
</li>
<li class="blockList">
<h5>subscriberHandlerStartThread</h5>
<pre>java.lang.Thread subscriberHandlerStartThread</pre>
</li>
<li class="blockList">
<h5>subscriberUpdateCarListThread</h5>
<pre>java.lang.Thread subscriberUpdateCarListThread</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="eu.systemsengineer.fjcapeletto.display.UtilsDisplay">
<!--   -->
</a>
<h3>Class <a href="eu/systemsengineer/fjcapeletto/display/UtilsDisplay.html" title="class in eu.systemsengineer.fjcapeletto.display">eu.systemsengineer.fjcapeletto.display.UtilsDisplay</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
